Package org.apache.commons.imaging.formats.jpeg

# Class JpegConstants

java.lang.Object
org.apache.commons.imaging.formats.jpeg.JpegConstants

public final class JpegConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COM_MARKER`
  `static final int`
  `CONST_8BIM`
  `static final int`
  `DAC_MARKER`
  `static final int`
  `DHT_MARKER`
  `static final int`
  `DNL_MARKER`
  `static final int`
  `DQT_MARKER`
  `static final int`
  `DRI_MARKER`
  `static final BinaryConstant`
  `EOI`
  `static final int`
  `EOI_MARKER`
  `static final BinaryConstant`
  `EXIF_IDENTIFIER_CODE`
  `static final BinaryConstant`
  `ICC_PROFILE_LABEL`
  `static final int`
  `JFIF_MARKER`
  `static final BinaryConstant`
  `JFIF0_SIGNATURE`
  `static final BinaryConstant`
  `JFIF0_SIGNATURE_ALTERNATIVE`
  `static final int`
  `JPEG_APP0`
  `static final int`
  `JPEG_APP0_MARKER`
  `static final int`
  `JPEG_APP1_MARKER`
  `static final int`
  `JPEG_APP13_MARKER`
  `static final int`
  `JPEG_APP14_MARKER`
  `static final int`
  `JPEG_APP15_MARKER`
  `static final int`
  `JPEG_APP2_MARKER`
  `static final List<Integer>`
  `MARKERS`
  `static final int`
  `MAX_SEGMENT_SIZE`
  `static final BinaryConstant`
  `PHOTOSHOP_IDENTIFICATION_STRING`
  `static final int`
  `RST0_MARKER`
  `static final int`
  `RST1_MARKER`
  `static final int`
  `RST2_MARKER`
  `static final int`
  `RST3_MARKER`
  `static final int`
  `RST4_MARKER`
  `static final int`
  `RST5_MARKER`
  `static final int`
  `RST6_MARKER`
  `static final int`
  `RST7_MARKER`
  `static final int`
  `SOF0_MARKER`
  `static final int`
  `SOF1_MARKER`
  `static final int`
  `SOF10_MARKER`
  `static final int`
  `SOF11_MARKER`
  `static final int`
  `SOF13_MARKER`
  `static final int`
  `SOF14_MARKER`
  `static final int`
  `SOF15_MARKER`
  `static final int`
  `SOF2_MARKER`
  `static final int`
  `SOF3_MARKER`
  `static final int`
  `SOF5_MARKER`
  `static final int`
  `SOF6_MARKER`
  `static final int`
  `SOF7_MARKER`
  `static final int`
  `SOF8_MARKER`
  `static final int`
  `SOF9_MARKER`
  `static final BinaryConstant`
  `SOI`
  `static final int`
  `SOS_MARKER`
  `static final BinaryConstant`
  `XMP_IDENTIFIER`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_SEGMENT_SIZE

    public static final int MAX_SEGMENT_SIZE
    See Also:
      - Constant Field Values

  - ### JFIF0_SIGNATURE

    public static final BinaryConstant JFIF0_SIGNATURE

  - ### JFIF0_SIGNATURE_ALTERNATIVE

    public static final BinaryConstant JFIF0_SIGNATURE_ALTERNATIVE

  - ### EXIF_IDENTIFIER_CODE

    public static final BinaryConstant EXIF_IDENTIFIER_CODE

  - ### XMP_IDENTIFIER

    public static final BinaryConstant XMP_IDENTIFIER

  - ### SOI

    public static final BinaryConstant SOI

  - ### EOI

    public static final BinaryConstant EOI

  - ### JPEG_APP0

    public static final int JPEG_APP0
    See Also:
      - Constant Field Values

  - ### JPEG_APP0_MARKER

    public static final int JPEG_APP0_MARKER
    See Also:
      - Constant Field Values

  - ### JPEG_APP1_MARKER

    public static final int JPEG_APP1_MARKER
    See Also:
      - Constant Field Values

  - ### JPEG_APP2_MARKER

    public static final int JPEG_APP2_MARKER
    See Also:
      - Constant Field Values

  - ### JPEG_APP13_MARKER

    public static final int JPEG_APP13_MARKER
    See Also:
      - Constant Field Values

  - ### JPEG_APP14_MARKER

    public static final int JPEG_APP14_MARKER
    See Also:
      - Constant Field Values

  - ### JPEG_APP15_MARKER

    public static final int JPEG_APP15_MARKER
    See Also:
      - Constant Field Values

  - ### JFIF_MARKER

    public static final int JFIF_MARKER
    See Also:
      - Constant Field Values

  - ### SOF0_MARKER

    public static final int SOF0_MARKER
    See Also:
      - Constant Field Values

  - ### SOF1_MARKER

    public static final int SOF1_MARKER
    See Also:
      - Constant Field Values

  - ### SOF2_MARKER

    public static final int SOF2_MARKER
    See Also:
      - Constant Field Values

  - ### SOF3_MARKER

    public static final int SOF3_MARKER
    See Also:
      - Constant Field Values

  - ### DHT_MARKER

    public static final int DHT_MARKER
    See Also:
      - Constant Field Values

  - ### SOF5_MARKER

    public static final int SOF5_MARKER
    See Also:
      - Constant Field Values

  - ### SOF6_MARKER

    public static final int SOF6_MARKER
    See Also:
      - Constant Field Values

  - ### SOF7_MARKER

    public static final int SOF7_MARKER
    See Also:
      - Constant Field Values

  - ### SOF8_MARKER

    public static final int SOF8_MARKER
    See Also:
      - Constant Field Values

  - ### SOF9_MARKER

    public static final int SOF9_MARKER
    See Also:
      - Constant Field Values

  - ### SOF10_MARKER

    public static final int SOF10_MARKER
    See Also:
      - Constant Field Values

  - ### SOF11_MARKER

    public static final int SOF11_MARKER
    See Also:
      - Constant Field Values

  - ### DAC_MARKER

    public static final int DAC_MARKER
    See Also:
      - Constant Field Values

  - ### SOF13_MARKER

    public static final int SOF13_MARKER
    See Also:
      - Constant Field Values

  - ### SOF14_MARKER

    public static final int SOF14_MARKER
    See Also:
      - Constant Field Values

  - ### SOF15_MARKER

    public static final int SOF15_MARKER
    See Also:
      - Constant Field Values

  - ### DRI_MARKER

    public static final int DRI_MARKER
    See Also:
      - Constant Field Values

  - ### RST0_MARKER

    public static final int RST0_MARKER
    See Also:
      - Constant Field Values

  - ### RST1_MARKER

    public static final int RST1_MARKER
    See Also:
      - Constant Field Values

  - ### RST2_MARKER

    public static final int RST2_MARKER
    See Also:
      - Constant Field Values

  - ### RST3_MARKER

    public static final int RST3_MARKER
    See Also:
      - Constant Field Values

  - ### RST4_MARKER

    public static final int RST4_MARKER
    See Also:
      - Constant Field Values

  - ### RST5_MARKER

    public static final int RST5_MARKER
    See Also:
      - Constant Field Values

  - ### RST6_MARKER

    public static final int RST6_MARKER
    See Also:
      - Constant Field Values

  - ### RST7_MARKER

    public static final int RST7_MARKER
    See Also:
      - Constant Field Values

  - ### EOI_MARKER

    public static final int EOI_MARKER
    See Also:
      - Constant Field Values

  - ### SOS_MARKER

    public static final int SOS_MARKER
    See Also:
      - Constant Field Values

  - ### DQT_MARKER

    public static final int DQT_MARKER
    See Also:
      - Constant Field Values

  - ### DNL_MARKER

    public static final int DNL_MARKER
    See Also:
      - Constant Field Values

  - ### COM_MARKER

    public static final int COM_MARKER
    See Also:
      - Constant Field Values

  - ### MARKERS

    public static final List<Integer> MARKERS

  - ### ICC_PROFILE_LABEL

    public static final BinaryConstant ICC_PROFILE_LABEL

  - ### PHOTOSHOP_IDENTIFICATION_STRING

    public static final BinaryConstant PHOTOSHOP_IDENTIFICATION_STRING

  - ### CONST_8BIM

    public static final int CONST_8BIM